#ifndef __MATERIAL__
#define __MATERIAL__

#include <iostream>
#include <string>
#include "TGraph.h"
#include "TF1.h"

using namespace std; 

class Material
{
public:
    Material(string fname = "", Double_t fdens = 0) : name(fname), density(fdens) { ; }
    virtual ~Material()=default;
    string GetName() { return name; }
    Double_t GetDensity() { return density; }
    virtual void Print();

protected:
    string name;
    Double_t density;
};

#endif