#ifndef __MYFUNCTION__
#define __MYFUNCTION__
#include <string>
#include <iostream>
using namespace std;
#include "Functor.h"


class MyFunction : public Functor
{
public:
    MyFunction(string s="MyFunction",function<double(double)> Func=[](double x){return x;}) : Functor(s), f(Func){;};//Standard Constructor, creates functor
    ~MyFunction() = default; //Default Destructor

    double operator()(double x);//Redifines the operator
private:
    function<double(double)> f;
};

#endif
