#ifndef __POINT2D__
#define __POINT2D__
#include <cmath>
class Point2D
{
public:
    Point2D(double fx = 0., double fy = 0.);
    Point2D(const Point2D&);
    ~Point2D()=default;

    //getters
    const double GetX();
    const double GetY();

    //setters
    void SetX(double);
    void SetY(double);

    //operators
    Point2D& operator=(const Point2D&);

    //functions
    double distance(const Point2D&);

private:
    double x; // x coo
    double y; // y coo
};

#endif