#ifndef __ROOTS__
#define __ROOTS__
#include "MyFunction.h"
#include <iostream>
#include <vector>
#include "DerivatorIntegrator.h"
#include <math.h>
using namespace std;

class RootSolver
{
    
public:
    std::function<double(double)> f0=[](double x){ return 0; };
    //MyFunction zerofunction("Launch Angle", f0);
    //RootSolver(Functor &func, Functor &deriv = zerofunction) : funcao(func), derivada(deriv) { ; }

    RootSolver(Functor &func): funcao(func){;}
    ~RootSolver();
    pair<double, double> bissection(double xi, double xf);
    pair<double, double> regfalsi(double xi, double xf);
    pair<double, double> secant(double xi, double xf);
    pair<double, double> Newton(double xi, double xf);
    pair<double, double> NewtonAnalytical(double xi, double xf, Functor &derivada);

private:
    Functor &funcao;
    //Functor &derivada;
};

#endif
