#ifndef __LINE2D__
#define __LINE2D__
#include "Point2D.h"
#include <vector>

using namespace std;

class line2D
{
public:
    // constructors
    // ... provide extreme points
    line2D(Point2D P1 = Point2D(), Point2D P2 = Point2D());
    // ... provide line center, line length and line theta (angle with X-axis)
    line2D(Point2D P1, double length, double ftheta);

    ~line2D();

    //getters
    Point2D& Vertices(bool n);

    // set line: line center, line length and line theta (angle with X-axis)
    void SetLine(Point2D, double, double);

    // check if the two lines are crossing
    bool Crossing(line2D &); // true if two lines crossing

private:
    vector<Point2D> vP;
    Point2D center;
    double theta;
};

#endif