#ifndef __METH__
#define __METH__
#include "ODESolver.h"
using namespace std;

class ODEBoundary
{
public:
    ODEBoundary(const int, std::vector<std::function<double(ODEpoint &)>>&, 
                double, int, pair<int, double> &, Xvar &);
    ~ODEBoundary()=default; 
    
    double Minimizer(double);
    //functions

    double ShootingMethod(double, double);

private:
    std::vector<std::function<double(ODEpoint &)>> f;
    pair<int, double> boundary; //index and value
    Xvar initial;
    int index;  //indice da variavel a resolver
    int Ndim;
    double tf;
};

#endif