#include "Functor.h"

double Functor::operator()(double x){ return 0; }  //Define the standard operator()
TCanvas* Functor::c(new TCanvas("c", "Graficos", 100,100,1820,1020));//nicialize the Canvas


void Functor::Draw(double xi, double xf, int num, std::string xtitle, std::string ytitle)
{
    auto l=[this](double* x, double* par) 
    {
        return this->operator()(x[0]); //Define lambda function for TF1
    };
    //Convert strings to the C array
    const char* Titulo = name.c_str();
    const char* xtit = xtitle.c_str();
    const char* ytit = ytitle.c_str();
    //Creation of TF1 
    TF1* F=new TF1("F", l, xi- (xf-xi)/(2*num), xf+(xf-xi)/(2*num),0);
    //Settings for the function
    F->SetTitle(Titulo);
    F->GetYaxis()->SetTitle(ytit);
    F->GetXaxis()->SetTitle(xtit);
    F->SetLineColor(kBlue);
    F->Draw();
    c->Modified();
    c->Update();
    //Save the file with the function
    string name2=name;
    name2 += ".png";
    const char* save= name2.c_str();
    c->SaveAs(save);
}
