#ifndef __FUNCTOR__
#define __FUNCTOR__

#include <string>
using namespace std;
#include "TCanvas.h"
#include "TF1.h"
#include "TAxis.h"
#include <cmath>

class Functor
{
public:
    Functor(std::string s="Functor") : name(s) { ; } //Constructor 
    virtual ~Functor() = default; //Default destructor

        
    virtual double operator()(double x); //Standard destructor

    virtual void Draw(double xi, double xf, int num, std::string xtitle="x", std::string ytitle="y");//Function to draw the function graph
       

protected:
    static TCanvas *c;//Shared Canvas to draw
    std::string name;//Name of function
};

#endif
