#include "Point2D.h"
#include <iostream>

Point2D::Point2D(double fx, double fy) : x(fx), y(fy) { ; }

Point2D::Point2D(const Point2D& P): x(P.x), y(P.y){;}

//Point2D::~Point2D()=default;

const double Point2D::GetX()
{
    return x;
}

const double Point2D::GetY()
{
    return y;
}

void Point2D::SetX(double newx)
{
    x = newx;
}

void Point2D::SetY(double newy)
{
    y = newy;
}

Point2D& Point2D::operator=(const Point2D& P1)
{
    if (this != &P1)
    {
        x = P1.x;
        y = P1.y;
    }
    return *this;
}

double Point2D::distance(const Point2D& P1){
    double d;
    d=sqrt((x-P1.x)*(x-P1.x)+(y-P1.y)*(y-P1.y));
    return d;
}